Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.saml1
Class SAML1ArtifactResolutionProfileHanderBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
                  edu.internet2.middleware.shibboleth.common.config.profile.AbstractShibbolethProfileHandlerBeanDefinitionParser
                      edu.internet2.middleware.shibboleth.idp.config.profile.AbstractSAMLProfileHandlerBeanDefinitionParser
                          edu.internet2.middleware.shibboleth.idp.config.profile.saml1.AbstractSAML1ProfileHandlerBeanDefinitionParser
                              edu.internet2.middleware.shibboleth.idp.config.profile.saml1.SAML1ArtifactResolutionProfileHanderBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class SAML1ArtifactResolutionProfileHanderBeanDefinitionParser

extends AbstractSAML1ProfileHandlerBeanDefinitionParser

Spring bean definition parser for `ArtifactResolution`.

Field Summary
`static QName` | `SCHEMA_TYPE` Schema type.

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`SAML1ArtifactResolutionProfileHanderBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected Class` | `getBeanClass(Element element)`

Methods inherited from class edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
`getRequestPaths, shouldGenerateId`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_TYPE

    public static final QName SCHEMA_TYPE

  Schema type.

Constructor Detail

### SAML1ArtifactResolutionProfileHanderBeanDefinitionParser

    public SAML1ArtifactResolutionProfileHanderBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Overrides:
    `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element config,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractSAML1ProfileHandlerBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.